Replicas - List By Server

Mencantumkan semua replika untuk server tertentu.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforMariaDB/servers/{serverName}/replicas?api-version=2018-06-01-preview

Parameter URI

Name In Required Type Description
resourceGroupName
path True
  • string

Nama grup sumber daya yang berisi sumber daya. Anda dapat memperoleh nilai ini dari Azure Resource Manager API atau portal.

serverName
path True
  • string

Nama server.

subscriptionId
path True
  • string

ID langganan yang mengidentifikasi langganan Azure.

api-version
query True
  • string

Versi API yang digunakan untuk permintaan.

Respons

Name Type Description
200 OK

OK

Keamanan

azure_auth

Azure Active Directory Flow OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation meniru akun pengguna Anda

Contoh

ReplicasListByServer

Sample Request

GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMariaDB/servers/testmaster/replicas?api-version=2018-06-01-preview

Sample Response

{
  "value": [
    {
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMariaDB/servers/testserver",
      "name": "testserver",
      "type": "Microsoft.DBforMariaDB/servers",
      "location": "northeurope",
      "tags": {
        "elasticServer": "1"
      },
      "sku": {
        "name": "GP_Gen4_2",
        "tier": "GeneralPurpose",
        "family": "Gen4",
        "capacity": 2
      },
      "properties": {
        "storageProfile": {
          "storageMB": 256000,
          "backupRetentionDays": 35,
          "geoRedundantBackup": "Enabled"
        },
        "administratorLogin": "cloudsa",
        "sslEnforcement": "Enabled",
        "userVisibleState": "Ready",
        "fullyQualifiedDomainName": "testserver.mariadb.database.azure.com",
        "version": "10.2",
        "earliestRestoreDate": "2018-06-11T23:56:54.3+00:00",
        "replicationRole": "Replica",
        "masterServerId": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMariaDB/servers/testmaster",
        "replicaCapacity": 0
      }
    },
    {
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMariaDB/servers/testserver1",
      "name": "testserver1",
      "type": "Microsoft.DBforMariaDB/servers",
      "location": "northeurope",
      "tags": {
        "elasticServer": "1"
      },
      "sku": {
        "name": "GP_Gen4_2",
        "tier": "GeneralPurpose",
        "family": "Gen4",
        "capacity": 2
      },
      "properties": {
        "storageProfile": {
          "storageMB": 256000,
          "backupRetentionDays": 35,
          "geoRedundantBackup": "Enabled"
        },
        "administratorLogin": "cloudsa",
        "sslEnforcement": "Enabled",
        "userVisibleState": "Ready",
        "fullyQualifiedDomainName": "testserver1.mariadb.database.azure.com",
        "version": "10.2",
        "earliestRestoreDate": "2018-06-11T23:56:54.3+00:00",
        "replicationRole": "Replica",
        "masterServerId": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMariaDB/servers/testmaster",
        "replicaCapacity": 0
      }
    },
    {
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMariaDB/servers/testserver2",
      "name": "testserver2",
      "type": "Microsoft.DBforMariaDB/servers",
      "location": "northeurope",
      "tags": {
        "elasticServer": "1"
      },
      "sku": {
        "name": "GP_Gen4_2",
        "tier": "GeneralPurpose",
        "family": "Gen4",
        "capacity": 2
      },
      "properties": {
        "storageProfile": {
          "storageMB": 256000,
          "backupRetentionDays": 35,
          "geoRedundantBackup": "Enabled"
        },
        "administratorLogin": "cloudsa",
        "sslEnforcement": "Enabled",
        "userVisibleState": "Ready",
        "fullyQualifiedDomainName": "testserver2.mariadb.database.azure.com",
        "version": "10.2",
        "earliestRestoreDate": "2018-06-11T23:56:54.3+00:00",
        "replicationRole": "Replica",
        "masterServerId": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMariaDB/servers/testmaster",
        "replicaCapacity": 0
      }
    }
  ]
}

Definisi

GeoRedundantBackup

Aktifkan Geo-redundan atau tidak untuk pencadangan server.

IdentityType

Jenis identitas. Atur ini ke 'SystemAssigned' untuk membuat dan menetapkan prinsipal Azure Active Directory untuk sumber daya secara otomatis.

MinimalTlsVersionEnum

Terapkan versi Tls minimal untuk server.

ResourceIdentity

Azure Active Directory konfigurasi identitas untuk sumber daya.

Server

Mewakili server.

ServerListResult

Daftar server.

ServerState

Status server yang terlihat oleh pengguna.

ServerVersion

Versi server.

Sku

Properti terkait informasi penagihan server.

SkuTier

Tingkat SKU tertentu, misalnya Dasar.

SslEnforcementEnum

Aktifkan penegakan ssl atau tidak saat tersambung ke server.

StorageAutogrow

Aktifkan Storage Tumbuh Otomatis.

StorageProfile

Storage Properti profil server

GeoRedundantBackup

Aktifkan Geo-redundan atau tidak untuk pencadangan server.

Name Type Description
Disabled
  • string
Enabled
  • string

IdentityType

Jenis identitas. Atur ini ke 'SystemAssigned' untuk membuat dan menetapkan prinsipal Azure Active Directory untuk sumber daya secara otomatis.

Name Type Description
SystemAssigned
  • string

MinimalTlsVersionEnum

Terapkan versi Tls minimal untuk server.

Name Type Description
TLS1_0
  • string
TLS1_1
  • string
TLS1_2
  • string
TLSEnforcementDisabled
  • string

ResourceIdentity

Azure Active Directory konfigurasi identitas untuk sumber daya.

Name Type Description
principalId
  • string

Id utama Azure Active Directory.

tenantId
  • string

Id penyewa Azure Active Directory.

type

Jenis identitas. Atur ini ke 'SystemAssigned' untuk membuat dan menetapkan prinsipal Azure Active Directory untuk sumber daya secara otomatis.

Server

Mewakili server.

Name Type Description
id
  • string

ID sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

identity

Identitas Azure Active Directory server.

location
  • string

Lokasi geografis tempat sumber daya berada

name
  • string

Nama sumber daya.

properties.administratorLogin
  • string

Nama masuk administrator server. Hanya dapat ditentukan ketika server sedang dibuat (dan diperlukan untuk pembuatan).

properties.earliestRestoreDate
  • string

Waktu pembuatan titik pemulihan paling awal (format ISO8601)

properties.fullyQualifiedDomainName
  • string

Nama domain server yang sepenuhnya memenuhi syarat.

properties.masterServerId
  • string

Id server master dari server replika.

properties.minimalTlsVersion

Terapkan versi Tls minimal untuk server.

properties.replicaCapacity
  • integer

Jumlah maksimum replika yang dapat dimiliki server master.

properties.replicationRole
  • string

Peran replikasi server.

properties.sslEnforcement

Aktifkan penegakan ssl atau tidak saat tersambung ke server.

properties.storageProfile

Storage profil server.

properties.userVisibleState

Status server yang terlihat oleh pengguna.

properties.version

Versi server.

sku

SKU (tingkat harga) server.

tags
  • object

Tag sumber daya.

type
  • string

Jenis sumber daya. Misalnya, "Microsoft.Compute/virtualMachines" atau "Microsoft. Storage/storageAccounts"

ServerListResult

Daftar server.

Name Type Description
value

Daftar server

ServerState

Status server yang terlihat oleh pengguna.

Name Type Description
Disabled
  • string
Dropping
  • string
Ready
  • string

ServerVersion

Versi server.

Name Type Description
10.2
  • string
10.3
  • string

Sku

Properti terkait informasi penagihan server.

Name Type Description
capacity
  • integer

Kapasitas peningkatan/peluasan skala, mewakili unit komputasi server.

family
  • string

Keluarga perangkat keras.

name
  • string

Nama sku, biasanya, tingkat + keluarga + inti, misalnya B_Gen4_1, GP_Gen5_8.

size
  • string

Kode ukuran, yang akan ditafsirkan oleh sumber daya yang sesuai.

tier

Tingkat SKU tertentu, misalnya Dasar.

SkuTier

Tingkat SKU tertentu, misalnya Dasar.

Name Type Description
Basic
  • string
GeneralPurpose
  • string
MemoryOptimized
  • string

SslEnforcementEnum

Aktifkan penegakan ssl atau tidak saat tersambung ke server.

Name Type Description
Disabled
  • string
Enabled
  • string

StorageAutogrow

Aktifkan Storage Tumbuh Otomatis.

Name Type Description
Disabled
  • string
Enabled
  • string

StorageProfile

Storage Properti profil server

Name Type Description
backupRetentionDays
  • integer

Hari retensi cadangan untuk server.

geoRedundantBackup

Aktifkan Geo-redundan atau tidak untuk pencadangan server.

storageAutogrow

Aktifkan Storage Tumbuh Otomatis.

storageMB
  • integer

Penyimpanan maks yang diizinkan untuk server.